<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
</head>
<body>
<script>
    var Data = {{ . }};

    function drawGraph() {
        var merchantDropdown = document.getElementById('merchantDropdown');
        var graphContainer = document.getElementById('graphContainer');
        const selectedMerchantId = merchantDropdown.value;

        const selectedMerchant = Data.find(merchant => merchant.merchantid === selectedMerchantId);

        if (selectedMerchant) {
            const dates = selectedMerchant.info.map(item => item.date);
            const prices = selectedMerchant.info.map(item => parseFloat(item.price.replace(',', '.')));

            const graphData = [
                {
                    x: dates,
                    y: prices,
                    type: 'scatter',
                    mode: 'lines+markers'
                }
            ];
            const graphLayout = {
                title: 'График цен',
                xaxis: {
                    title: 'Дата'
                },
                yaxis: {
                    title: 'Цена'
                }
            };
            Plotly.newPlot(graphContainer, graphData, graphLayout);

        } else {
            graphContainer.innerHTML = '';
        }
    }
    drawGraph();

</script>
<div>
    <select id="merchantDropdown" onchange="drawGraph()">
        <!-- Опции списка будут добавлены динамически из кода JavaScript -->
    </select>
</div>
<div id="graphContainer"></div>

</body>
</html>